OGRE: Ogre::FileInfo Struct Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::FileInfo Struct Reference

Information about a file/directory within the archive will be returned using a FileInfo struct. More...

`#include <OgreArchive.h>`

List of all members.

## Public Attributes

Archive * | archive
| The archive in which the file has been found (for info when performing multi-Archive searches, note you should still open through ResourceGroupManager).
String | filename
| The file's fully qualified name.
String | path
| Path name; separated by '/' and ending with '/'.
String | basename
| Base filename.
size_t | compressedSize
| Compressed size.
size_t | uncompressedSize
| Uncompressed size.

## Detailed Description

Information about a file/directory within the archive will be returned using a FileInfo struct.

See also:
  Archive

Definition at line 45 of file OgreArchive.h.

## Member Data Documentation

Archive* Ogre::FileInfo::archive

| The archive in which the file has been found (for info when performing multi-Archive searches, note you should still open through ResourceGroupManager). Definition at line 48 of file OgreArchive.h.

String Ogre::FileInfo::basename

| Base filename. Definition at line 54 of file OgreArchive.h.

size_t Ogre::FileInfo::compressedSize

| Compressed size. Definition at line 56 of file OgreArchive.h.

String Ogre::FileInfo::filename

| The file's fully qualified name. Definition at line 50 of file OgreArchive.h.

String Ogre::FileInfo::path

| Path name; separated by '/' and ending with '/'. Definition at line 52 of file OgreArchive.h.

size_t Ogre::FileInfo::uncompressedSize

| Uncompressed size. Definition at line 58 of file OgreArchive.h.

The documentation for this struct was generated from the following file:

- OgreArchive.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:46:32 2008